//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%3DAF00E90152.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%3DAF00E90152.cm

//## begin module%3DAF00E90152.cp preserve=no
//## end module%3DAF00E90152.cp

//## Module: PlotDelchi%3DAF00E90152; Package specification
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Commands/PlotDelchi.h

#ifndef PLOTDELCHI_H
#define PLOTDELCHI_H 1

//## begin module%3DAF00E90152.additionalIncludes preserve=no
//## end module%3DAF00E90152.additionalIncludes

//## begin module%3DAF00E90152.includes preserve=yes
//## end module%3DAF00E90152.includes

// PlotCommand
#include <XSPlot/Plot/PlotCommand.h>
//## begin module%3DAF00E90152.declarations preserve=no
//## end module%3DAF00E90152.declarations

//## begin module%3DAF00E90152.additionalDeclarations preserve=yes
class PlotGroup;
class PlotSettings;
struct StandardLabels;
//## end module%3DAF00E90152.additionalDeclarations


//## begin PlotDelchi%3DAEFC580104.preface preserve=yes
//## end PlotDelchi%3DAEFC580104.preface

//## Class: PlotDelchi%3DAEFC580104
//## Category: XSPlot::PlotCommands%3DAF12C70234
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Persistence: Transient
//## Cardinality/Multiplicity: n



class PlotDelchi : public PlotCommand  //## Inherits: <unnamed>%4B1FDCD4021B
{
  //## begin PlotDelchi%3DAEFC580104.initialDeclarations preserve=yes
  //## end PlotDelchi%3DAEFC580104.initialDeclarations

  public:
    //## Constructors (generated)
      PlotDelchi();

    //## Destructor (generated)
      virtual ~PlotDelchi();


    //## Other Operations (specified)
      //## Operation: makeLabels%4B1FDDF000A0
      //	If not overridden, this does nothing.
      virtual void makeLabels (const PlotSettings& settings, StandardLabels& labels) const;

    // Additional Public Declarations
      //## begin PlotDelchi%3DAEFC580104.public preserve=yes
      //## end PlotDelchi%3DAEFC580104.public

  protected:
    // Additional Protected Declarations
      //## begin PlotDelchi%3DAEFC580104.protected preserve=yes
      //## end PlotDelchi%3DAEFC580104.protected

  private:
    //## Constructors (generated)
      PlotDelchi(const PlotDelchi &right);

    //## Assignment Operation (generated)
      PlotDelchi & operator=(const PlotDelchi &right);


    //## Other Operations (specified)
      //## Operation: manipulate%4B1FDDE4009C
      //	Once the raw data has been gathered into PlotGroup
      //	objects, this is the function that performs the various
      //	mathematical operations specific to each PlotCommand
      //	subclass.
      virtual void manipulate (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

      //## Operation: setRanges%4B1FDDE903B2
      //	Determines plot-time range settings based on current
      //	setplot settings and PlotGroup data.
      virtual void setRanges (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

    // Additional Private Declarations
      //## begin PlotDelchi%3DAEFC580104.private preserve=yes
      //## end PlotDelchi%3DAEFC580104.private

  private: //## implementation
    // Additional Implementation Declarations
      //## begin PlotDelchi%3DAEFC580104.implementation preserve=yes
      //## end PlotDelchi%3DAEFC580104.implementation

};

//## begin PlotDelchi%3DAEFC580104.postscript preserve=yes
//## end PlotDelchi%3DAEFC580104.postscript

// Class PlotDelchi 

//## begin module%3DAF00E90152.epilog preserve=yes
//## end module%3DAF00E90152.epilog


#endif
